- Main Page
- Namespaces
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Topology Class Reference

Inheritance diagram for Topology:

List of all members.

## Public Member Functions
virtual | ~Topology ()
void | add (Cooperative &__mig)
virtual void | setNeighbors (Cooperative *__mig, std::vector< Cooperative * > &__from, std::vector< Cooperative * > &__to)=0
## Protected Attributes
std::vector< Cooperative * > | mig

## Detailed Description

Definition at line 31 of file topology.h.

The documentation for this class was generated from the following files:

- topology.h
- topology.cpp